#
# spec file for package python-TraitsGUI
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           python-dpkt
Version:        1.8
Release:        8.2
Summary:        Fast, simple packet creation and parsing
URL:            http://code.google.com/p/dpkt/
License:        BSD-3-Clause
Group:          Development/Libraries/Python
Source:         http://dpkt.googlecode.com/files/dpkt-1.8.tar.gz
BuildRoot:      %{_tmppath}/%{name}-buildroot
BuildRequires:  python-devel
BuildRequires:  python-xml
BuildRequires:  epydoc
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
Fast, simple packet creation / parsing, with definitions for the basic TCP/IP
protocols.

%prep
%setup -q -n dpkt-%{version}

%build
export CFLAGS="%{optflags}"
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc examples AUTHORS CHANGES HACKING LICENSE README
%{python_sitelib}/*

%changelog
* Mon Aug 26 2013 Greg.Freemyer@gmail.com
- Update to version 1.8:
  * fix a typo in vrrp.py
  * fix IPv4 and IPv6 packet to correctly handle zero payload length
  * store cipher_suite as int in TLSServerHello to allow app-specific messages
  * improve SSL parsing
- Specfile changes
  * Update license field to BSD-3-clause
  * Update URL
  * remove make doc.  Doc is no longer provided other than the source code.
  * wrap site macros with a if for older versions of opensuse only
* Wed Jun  1 2011 saschpe@suse.de
- Update to version 1.7:
  * handle dynamic imports from py2exe/freeze.py/zipped egg
    packages, from plotnikoff
  * decode Ethernet MPLS labels, Cisco ISL VLAN tags, 802.2 LLC fields
  * handle multiply-defined HTTP headers from simdream
  * add IPv6 extension header support (minus ESP) from Owen Stephens
  * add radiotap module from Timur Alperovich
  * add IEEE80211 module from Jon Oberheide
  * add RFB module from Jon Oberheide
  * fix IP6 checksum to include options
  * rename 'as' to 'asn' field in BGP header
  * fix transport-layer checksum in IP6
  * handle improper TCP header offset
  * fix SSL typo
  * handle malformed ICMP headers
  * added RX module from Jon Oberheide
  * fixed loopback module IP/IP6 decoding
  * set transport-layer (TCP, UDP) checksum in IP
  * MRT module fixes
  * fix pcap.Writer timestamp calculation
- Spec file cleanup:
  * Added changes file and removed stuff from %%changelog section
  * Added license header
  * Removed authors from description
  * Don't cleanup buildroot in %%install section
  * Made it a noarch package
* Sun Jan 28 2007 judas_iscariote@shorewall.net
- Update to version 1.6
* Wed Sep  6 2006 jfunk@funktronics.ca
- Initial release
